%define name mobile-device
%define version 0.2.1
%define release %mkrel 3
%define webdir /var/www

Name:		%name
Version:	%version
Release:	%release
Group:		System/Cluster
Summary:	XtreemOS MD
Source0:	%name-%version.tar.bz2
Source1: 	xtreemos-md.conf
Source2:	update_xosmd-demo-%version.tar.bz2
License:	GPL
Requires: 	apache
BuildArch:	noarch
%description
xtreemos-md for Nokia N8x0


%prep
%setup -q

%build

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{webdir}/html
%{__mkdir_p} %{buildroot}%{webdir}/cgi-bin
%{__mkdir_p} %{buildroot}/root/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/

cp -avf www/html/* %{buildroot}%{webdir}/html
mv %{buildroot}%{webdir}/html/index.html %{buildroot}%{webdir}/html/index2.html
cp -avf www/cgi-bin/* %{buildroot}%{webdir}/cgi-bin/
cp -avf %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/
pushd %{buildroot}/root/
tar xvfj %{SOURCE2}
popd

%post
CHECK=`grep x-install-instructions /etc/httpd/conf/mime.types`
if [ -z "$CHECK" ]; then
        echo "# needed to add instructions"
	echo "application/x-install-instructions install" >> /etc/httpd/conf/mime.types
fi
service httpd restart

%postun
service httpd restart

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/httpd/conf.d/xtreemos-md.conf
%{webdir}/html/*
%{webdir}/cgi-bin/*
/root/*

%changelog
